Package com.ocient.util

# Annotation Interface SuppressFBWarnings

@Retention(CLASS) public @interface SuppressFBWarnings

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`justification`
Optional documentation of the reason why the warning is suppressed
`String[]`
`value`
The set of FindBugs warnings that are to be suppressed in annotated element.

## Element Details

### value

String[] value
The set of FindBugs warnings that are to be suppressed in annotated element. The value can be a bug category, kind or pattern.

Default:
  `{}`

### justification

String justification
Optional documentation of the reason why the warning is suppressed

Default:
  `""`